<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Menu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_menu.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_menu-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Menu Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Menu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_menu.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a70912ce01e2c369fda6f1063adae4720"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a70912ce01e2c369fda6f1063adae4720">UpdateEntries</a> ()</td></tr>
<tr class="memdesc:a70912ce01e2c369fda6f1063adae4720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Redraws the menu entries.  <a href="class_menu.html#a70912ce01e2c369fda6f1063adae4720">More...</a><br /></td></tr>
<tr class="separator:a70912ce01e2c369fda6f1063adae4720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ca41e00ff7be23c227d810315326ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#af1ca41e00ff7be23c227d810315326ce">Animate</a> (bool bShow)</td></tr>
<tr class="memdesc:af1ca41e00ff7be23c227d810315326ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Animates the menu in and out of view.  <a href="class_menu.html#af1ca41e00ff7be23c227d810315326ce">More...</a><br /></td></tr>
<tr class="separator:af1ca41e00ff7be23c227d810315326ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70889c3eda88a8a8877e9701036e2187"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a70889c3eda88a8a8877e9701036e2187">AllowCollapsing</a> (bool b)</td></tr>
<tr class="memdesc:a70889c3eda88a8a8877e9701036e2187"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines whether the menu is allowed to collapse out of view when clicked outside.  <a href="class_menu.html#a70889c3eda88a8a8877e9701036e2187">More...</a><br /></td></tr>
<tr class="separator:a70889c3eda88a8a8877e9701036e2187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04f13cb369d423790d48eb5b9ff97652"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a04f13cb369d423790d48eb5b9ff97652">RunProject</a> (PointerDownEvent evt, object project)</td></tr>
<tr class="memdesc:a04f13cb369d423790d48eb5b9ff97652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens a project in "play" mode.  <a href="class_menu.html#a04f13cb369d423790d48eb5b9ff97652">More...</a><br /></td></tr>
<tr class="separator:a04f13cb369d423790d48eb5b9ff97652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826309695d2c6e09fddcbdd452f4ace2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a826309695d2c6e09fddcbdd452f4ace2">RemoveProject</a> (PointerDownEvent evt, object project)</td></tr>
<tr class="memdesc:a826309695d2c6e09fddcbdd452f4ace2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a project from the project list.  <a href="class_menu.html#a826309695d2c6e09fddcbdd452f4ace2">More...</a><br /></td></tr>
<tr class="separator:a826309695d2c6e09fddcbdd452f4ace2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c78a03c6b59176a8d9ea93c558cbb11"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a8c78a03c6b59176a8d9ea93c558cbb11">CreateNewProject</a> (PointerDownEvent evt, object o)</td></tr>
<tr class="memdesc:a8c78a03c6b59176a8d9ea93c558cbb11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens the project creation modal.  <a href="class_menu.html#a8c78a03c6b59176a8d9ea93c558cbb11">More...</a><br /></td></tr>
<tr class="separator:a8c78a03c6b59176a8d9ea93c558cbb11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a096f47bf482360ff81f8b1e98a9ede0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_menu.html#a096f47bf482360ff81f8b1e98a9ede0a">ImportProject</a> (PointerDownEvent evt, object o)</td></tr>
<tr class="memdesc:a096f47bf482360ff81f8b1e98a9ede0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens the project import modal.  <a href="class_menu.html#a096f47bf482360ff81f8b1e98a9ede0a">More...</a><br /></td></tr>
<tr class="separator:a096f47bf482360ff81f8b1e98a9ede0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1e79155195f9e4a6edfb484c9e6df5e5"><td class="memItemLeft" align="right" valign="top"><a id="a1e79155195f9e4a6edfb484c9e6df5e5" name="a1e79155195f9e4a6edfb484c9e6df5e5"></a>
List&lt; <a class="el" href="struct_contextual_menu_entries.html">ContextualMenuEntries</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>contextualProjectMenuEntries</b></td></tr>
<tr class="separator:a1e79155195f9e4a6edfb484c9e6df5e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7610d77b7d1bc88ccb686a7b63693d2b"><td class="memItemLeft" align="right" valign="top"><a id="a7610d77b7d1bc88ccb686a7b63693d2b" name="a7610d77b7d1bc88ccb686a7b63693d2b"></a>
List&lt; <a class="el" href="struct_contextual_menu_entries.html">ContextualMenuEntries</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>contextualMainMenuEntries</b></td></tr>
<tr class="separator:a7610d77b7d1bc88ccb686a7b63693d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a70889c3eda88a8a8877e9701036e2187" name="a70889c3eda88a8a8877e9701036e2187"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70889c3eda88a8a8877e9701036e2187">&#9670;&nbsp;</a></span>AllowCollapsing()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.AllowCollapsing </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determines whether the menu is allowed to collapse out of view when clicked outside. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td>Whether to allow collapsing.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af1ca41e00ff7be23c227d810315326ce" name="af1ca41e00ff7be23c227d810315326ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1ca41e00ff7be23c227d810315326ce">&#9670;&nbsp;</a></span>Animate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.Animate </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Animates the menu in and out of view. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bShow</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8c78a03c6b59176a8d9ea93c558cbb11" name="a8c78a03c6b59176a8d9ea93c558cbb11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c78a03c6b59176a8d9ea93c558cbb11">&#9670;&nbsp;</a></span>CreateNewProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.CreateNewProject </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>o</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Opens the project creation modal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Pointer event (can be null).</td></tr>
    <tr><td class="paramname">o</td><td>The contextual menu object (can be null).</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a096f47bf482360ff81f8b1e98a9ede0a" name="a096f47bf482360ff81f8b1e98a9ede0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a096f47bf482360ff81f8b1e98a9ede0a">&#9670;&nbsp;</a></span>ImportProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.ImportProject </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>o</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Opens the project import modal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Pointer event (can be null).</td></tr>
    <tr><td class="paramname">o</td><td>The contextual menu object (can be null).</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a826309695d2c6e09fddcbdd452f4ace2" name="a826309695d2c6e09fddcbdd452f4ace2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826309695d2c6e09fddcbdd452f4ace2">&#9670;&nbsp;</a></span>RemoveProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.RemoveProject </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>project</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes a project from the project list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Pointer event (can be null).</td></tr>
    <tr><td class="paramname">project</td><td>The project JSON object.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a04f13cb369d423790d48eb5b9ff97652" name="a04f13cb369d423790d48eb5b9ff97652"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04f13cb369d423790d48eb5b9ff97652">&#9670;&nbsp;</a></span>RunProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.RunProject </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>project</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Opens a project in "play" mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Pointer event (can be null).</td></tr>
    <tr><td class="paramname">project</td><td>The project JSON object.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a70912ce01e2c369fda6f1063adae4720" name="a70912ce01e2c369fda6f1063adae4720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70912ce01e2c369fda6f1063adae4720">&#9670;&nbsp;</a></span>UpdateEntries()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu.UpdateEntries </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Redraws the menu entries. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_menu_8cs.html">Menu.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_menu.html">Menu</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
